Skip to main content
GET
/
v1
/
custom-tools
List custom code tools
curl --request GET \
  --url https://api.conduit.ai/v1/custom-tools \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "kg77c0dy0mgdpzmqz6tesry8w184002s",
      "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
      "name": "lookup-order-status",
      "description": "Look up the fulfillment status of an order by id.",
      "language": "python",
      "code": "def main(**params):\n    order_id = params[\"order_id\"]\n    # ... fetch status ...\n    return {\n        \"message\": f\"Order {order_id} is shipped\",\n        \"rawData\": {\"status\": \"shipped\"},\n    }",
      "parameters": {
        "order_id": {
          "type": "string",
          "required": true,
          "description": "The order id to look up."
        }
      },
      "execution_message_description": "Looking up order status",
      "enable_globally": false,
      "validated": true,
      "version": 1,
      "created_at": "2026-04-01T17:22:10.000Z"
    }
  ],
  "next_cursor": "page-token",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Query Parameters

workspace_id
string
required

Workspace to query.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

limit
integer
Required range: 1 <= x <= 100
cursor
string

Response

Workspace custom tools

Cursor-paginated custom code tools response.

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required